import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { Bytes32ToAddress, Bytes32ToAddressInterface } from "../../../../contracts/libraries/AddressConverters.sol/Bytes32ToAddress";
type Bytes32ToAddressConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class Bytes32ToAddress__factory extends ContractFactory {
    constructor(...args: Bytes32ToAddressConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string;
    }): Promise<Bytes32ToAddress>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string;
    }): TransactionRequest;
    attach(address: string): Bytes32ToAddress;
    connect(signer: Signer): Bytes32ToAddress__factory;
    static readonly bytecode = "0x6080806040523460175760399081601c823930815050f35b5f80fdfe5f80fdfea26469706673582212209688399c75b8b4b081205612bf4780004e84f155a4a2a9deeabba904ccccdf4664736f6c634300081e0033";
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "InvalidBytes32";
        readonly type: "error";
    }];
    static createInterface(): Bytes32ToAddressInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): Bytes32ToAddress;
}
export {};
